Bug 2934 - [UPDATE REQUEST] [UPSTREAM UPDATE] squid
: [UPDATE REQUEST] [UPSTREAM UPDATE] squid
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 15:03 MSD by Andrew Lukoshko
Modified: 2013-11-13 17:35 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-10-18 15:03:13 MSD
* A fix for CVE-2012-5643 released in the RHSA-2013:0505 advisory as part of ROSA Enterprise Linux Server 6.4 introduced a bug in the /usr/lib/squid/cachemgr.cgi
file. The CGI application became unresponsive whenever an attempt was made to
make an authenticated connection to a proxy server. A patch has been applied to
fix this bug and authentication errors no longer occur in this scenario.

http://rhn.redhat.com/errata/RHBA-2013-1396.html

https://abf.rosalinux.ru/build_lists/1338702
https://abf.rosalinux.ru/build_lists/1338703
Comment 1 Alexander Petryakov 2013-10-19 21:18:31 MSD
squid-3.1.10-19.res6
*********************** RHEL Advisory *************************
A fix for CVE-2012-5643 released in the RHSA-2013:0505 advisory as part of ROSA Enterprise Linux Server 6.4 introduced a bug in the /usr/lib/squid/cachemgr.cgi
file. The CGI application became unresponsive whenever an attempt was made to
make an authenticated connection to a proxy server. A patch has been applied to
fix this bug and authentication errors no longer occur in this scenario.

http://rhn.redhat.com/errata/RHBA-2013-1396.html
***************************************************************
QA Verified
Comment 2 Alexander Petryakov 2013-10-19 21:19:08 MSD
squid-3.1.10-19.res6
*********************** RHEL Advisory *************************
A fix for CVE-2012-5643 released in the RHSA-2013:0505 advisory as part of ROSA Enterprise Linux Server 6.4 introduced a bug in the /usr/lib/squid/cachemgr.cgi
file. The CGI application became unresponsive whenever an attempt was made to
make an authenticated connection to a proxy server. A patch has been applied to
fix this bug and authentication errors no longer occur in this scenario.

http://rhn.redhat.com/errata/RHBA-2013-1396.html
***************************************************************
QA Verified